
if(SATSOLVER_INCLUDE_DIR AND SATSOLVER_LIBRARY AND SATSOLVER_EXT_LIBRARY)
	# Already in cache, be silent
	set(SATSOLVER_FIND_QUIETLY TRUE)
endif(SATSOLVER_INCLUDE_DIR AND SATSOLVER_LIBRARY AND SATSOLVER_EXT_LIBRARY)

set(SATSOLVER_LIBRARY)
set(SATSOLVER_EXT_LIBRARY)
set(SATSOLVER_INCLUDE_DIR)

FIND_PATH(SATSOLVER_INCLUDE_DIR satsolver/solvable.h
	${CMAKE_INSTALL_PREFIX}/include
	/usr/local/include
	/usr/include
)

FIND_LIBRARY(SATSOLVER_LIBRARY NAMES satsolver
	PATHS
	${CMAKE_INSTALL_PREFIX}/lib
	/usr/local/lib
	/usr/lib
)

FIND_LIBRARY(SATSOLVER_EXT_LIBRARY NAMES satsolverext
	PATHS
	${CMAKE_INSTALL_PREFIX}/lib
	/usr/local/lib
	/usr/lib
)

if(SATSOLVER_INCLUDE_DIR AND SATSOLVER_LIBRARY)
   MESSAGE( STATUS "satsolver found: includes in ${SATSOLVER_INCLUDE_DIR}, library in ${SATSOLVER_LIBRARY} ${SATSOLVER_EXT_LIBRARY} ")
   set(SATSOLVER_FOUND TRUE)
else(SATSOLVER_INCLUDE_DIR AND SATSOLVER_LIBRARY)
   MESSAGE( STATUS "** satsolver not found")
   MESSAGE( STATUS "** install package libsatsolver-devel")
   MESSAGE( STATUS "** (http://svn.opensuse.org/svn/zypp/trunk/sat-solver)")
endif(SATSOLVER_INCLUDE_DIR AND SATSOLVER_LIBRARY)

MARK_AS_ADVANCED(SATSOLVER_INCLUDE_DIR SATSOLVER_LIBRARY)
